#!/bin/sh

#install the firmware
mkdir -p /lib/firmware
cp dvb_init/dvb-usb-wt220u-zl0353-01.fw /lib/firmware
cp dvb_init/dvb-usb-dib0700-1.20.fw /lib/firmware


#a useful library
cp dvb_init/libdvbapi.so /usr/lib


#fix hotplug
cp dvb_init/dvb.sh /etc/udev/rules.d
cp dvb_init/dvb.rules /etc/udev/rules.d
cp dvb_init/hotplug /sbin
chmod 755 /sbin/hotplug
HOTPLG='cat /proc/sys/kernel/hotplug'
echo "/sbin/hotplug" > /proc/sys/kernel/hotplug

#echo $HOTPLG > /proc/sys/kernel/hotplug


# #dvb - 2.6.15 mode
# insmod linux-2.6.15.15/drivers/media/dvb/dvb-core/dvb-core.ko
# insmod linux-2.6.15.15/drivers/media/dvb/frontends/dvb-pll.ko
# insmod linux-2.6.15.15/drivers/i2c/i2c-core.ko
# insmod linux-2.6.15.15/drivers/media/dvb/dvb-usb/dvb-usb.ko
# #dtt220, 14aa:7070
# insmod linux-2.6.15.15/drivers/media/dvb/dvb-usb/dvb-usb-dtt200u.ko


#dvb - 2.6.30 mode
insmod linux-2.6.15.30/drivers/media/dvb/dvb-core/dvb-core.ko
insmod linux-2.6.15.30/drivers/i2c/i2c-core.ko
insmod linux-2.6.15.30/drivers/media/dvb/dvb-usb/dvb-usb.ko
#dtt220, 14aa:7070
insmod linux-2.6.15.30/drivers/media/dvb/dvb-usb/dvb-usb-dtt200u.ko
#hauuppauge usb, 14aa:7070
insmod linux-2.6.15.30/drivers/media/dvb/frontends/dib0070.ko
insmod linux-2.6.15.30/drivers/media/dvb/frontends/dibx000_common.ko
insmod linux-2.6.15.30/drivers/media/dvb/frontends/dib7000p.ko
insmod linux-2.6.15.30/drivers/media/dvb/frontends/dib7000m.ko
insmod linux-2.6.15.30/drivers/media/dvb/frontends/dib3000mc.ko
insmod linux-2.6.15.30/drivers/media/dvb/frontends/s5h1411.ko
insmod linux-2.6.15.30/drivers/media/dvb/frontends/lgdt3305.ko
insmod linux-2.6.15.30/drivers/media/dvb/dvb-usb/dvb-usb-dib0700.ko
