#ifndef _PARSE_DVB_H_
#define _PARSE_DVB_H_


extern int debug;

//----------------------------------------------------------------------------

typedef struct {
    unsigned char  table_id                         : 8;
    unsigned char  section_syntax_indicator         : 1;
    unsigned char  zero                             : 1;
    unsigned char  reserved1                        : 2;
    unsigned short section_length                   :12;
    unsigned short transport_stream_id              :16;
    unsigned char  reserved2                        : 2;
    unsigned char  version_number                   : 5;
    unsigned char  current_next_indicator           : 1;
    unsigned char  section_number                   : 8;
    unsigned char  last_section_number              : 8;
} section_header_type;

//----------------------------------------------------------------------------
extern EnumType fec_str[];

extern int display_section_header(unsigned char *buf, unsigned char *extstr);
extern char *get_component_type_str(int scontent, int ctype);
extern char *get_content_type_str(int nibble1, int nibble2);
extern void mjd(FILE *Op, unsigned char *t);
extern char *getmjd(unsigned char *t);
extern int dump_desc(unsigned char *pkt, int t, int s, int stream_type);
extern int dump_pat(unsigned char *buf);
extern int dump_nit(unsigned char *buf);
extern int dump_sdt(unsigned char *buf);
extern int dump_pmt(unsigned char *buf, int t);

#endif
